Bug 146738 - cad/salome: depends on math/metis-edf by default.
Summary: cad/salome: depends on math/metis-edf by default.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-19 20:10 UTC by Thierry Thomas
Modified: 2010-05-25 23:10 UTC (History)
1 user (show)

See Also:


Attachments
salome.diff (1.15 KB, patch)
2010-05-19 20:10 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2010-05-19 20:10:08 UTC
	The port cad/salome depends on math/metis by default. So, it's
	impossible to install Code_Aster (french/aster) on the same
	machine, because this ports depends on math/metis-edf, which
	conflicts with the regular metis.

	The proposed patch lets Salome depends on metis-edf by default
	(unless the regular metis is already installed).

	Thus, it becomes possible to port Salome-Meca.

Fix: Please apply the hereunder patch:
How-To-Repeat: 	- install Salome;
	- try to install french/aster.
Comment 1 Edwin Groothuis freebsd_committer 2010-05-19 20:10:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-05-19 20:10:28 UTC
Maintainer of cad/salome,

Please note that PR ports/146738 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146738

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-05-19 20:10:31 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 devel 2010-05-20 08:49:00 UTC
Ok, let's commit it.
Comment 5 dfilter service freebsd_committer 2010-05-25 23:05:46 UTC
thierry     2010-05-25 22:02:11 UTC

  FreeBSD ports repository

  Modified files:
    cad/salome           Makefile Makefile.ext 
  Log:
  Switch from metis to metis-edf by default, so that Salome can be
  installed on a machine where Code_Aster is already installed.
  
  PR:             ports/146738
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.5       +1 -1      ports/cad/salome/Makefile
  1.3       +9 -4      ports/cad/salome/Makefile.ext
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Thierry Thomas freebsd_committer 2014-06-01 07:18:45 UTC
State Changed
From-To: feedback->closed

Approved by the maintainer and committed (with a little change, because 
libmetis from metis-edf is not shared on 64 bits platforms).